io.etcd.jetcd.api

## Class RequestOp.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>
      - - io.etcd.jetcd.api.RequestOp.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, RequestOpOrBuilder, Cloneable

Enclosing class:
  RequestOp

    public static final class RequestOp.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>
    implements RequestOpOrBuilder

Protobuf type `etcdserverpb.RequestOp`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`RequestOp.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`RequestOp` `build()`
`RequestOp` `buildPartial()`
`RequestOp.Builder` `clear()`
`RequestOp.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`RequestOp.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`RequestOp.Builder` `clearRequest()`
`RequestOp.Builder` `clearRequestDeleteRange()` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`RequestOp.Builder` `clearRequestPut()` `.etcdserverpb.PutRequest request_put = 2;`
`RequestOp.Builder` `clearRequestRange()` `.etcdserverpb.RangeRequest request_range = 1;`
`RequestOp.Builder` `clearRequestTxn()` `.etcdserverpb.TxnRequest request_txn = 4;`
`RequestOp.Builder` `clone()`
`RequestOp` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`RequestOp.RequestCase` `getRequestCase()`
`DeleteRangeRequest` `getRequestDeleteRange()` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`DeleteRangeRequest.Builder` `getRequestDeleteRangeBuilder()` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`DeleteRangeRequestOrBuilder` `getRequestDeleteRangeOrBuilder()` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`PutRequest` `getRequestPut()` `.etcdserverpb.PutRequest request_put = 2;`
`PutRequest.Builder` `getRequestPutBuilder()` `.etcdserverpb.PutRequest request_put = 2;`
`PutRequestOrBuilder` `getRequestPutOrBuilder()` `.etcdserverpb.PutRequest request_put = 2;`
`RangeRequest` `getRequestRange()` `.etcdserverpb.RangeRequest request_range = 1;`
`RangeRequest.Builder` `getRequestRangeBuilder()` `.etcdserverpb.RangeRequest request_range = 1;`
`RangeRequestOrBuilder` `getRequestRangeOrBuilder()` `.etcdserverpb.RangeRequest request_range = 1;`
`TxnRequest` `getRequestTxn()` `.etcdserverpb.TxnRequest request_txn = 4;`
`TxnRequest.Builder` `getRequestTxnBuilder()` `.etcdserverpb.TxnRequest request_txn = 4;`
`TxnRequestOrBuilder` `getRequestTxnOrBuilder()` `.etcdserverpb.TxnRequest request_txn = 4;`
`boolean` `hasRequestDeleteRange()` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`boolean` `hasRequestPut()` `.etcdserverpb.PutRequest request_put = 2;`
`boolean` `hasRequestRange()` `.etcdserverpb.RangeRequest request_range = 1;`
`boolean` `hasRequestTxn()` `.etcdserverpb.TxnRequest request_txn = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`RequestOp.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`RequestOp.Builder` `mergeFrom(com.google.protobuf.Message other)`
`RequestOp.Builder` `mergeFrom(RequestOp other)`
`RequestOp.Builder` `mergeRequestDeleteRange(DeleteRangeRequest value)` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`RequestOp.Builder` `mergeRequestPut(PutRequest value)` `.etcdserverpb.PutRequest request_put = 2;`
`RequestOp.Builder` `mergeRequestRange(RangeRequest value)` `.etcdserverpb.RangeRequest request_range = 1;`
`RequestOp.Builder` `mergeRequestTxn(TxnRequest value)` `.etcdserverpb.TxnRequest request_txn = 4;`
`RequestOp.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`RequestOp.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`RequestOp.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`RequestOp.Builder` `setRequestDeleteRange(DeleteRangeRequest.Builder builderForValue)` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`RequestOp.Builder` `setRequestDeleteRange(DeleteRangeRequest value)` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`RequestOp.Builder` `setRequestPut(PutRequest.Builder builderForValue)` `.etcdserverpb.PutRequest request_put = 2;`
`RequestOp.Builder` `setRequestPut(PutRequest value)` `.etcdserverpb.PutRequest request_put = 2;`
`RequestOp.Builder` `setRequestRange(RangeRequest.Builder builderForValue)` `.etcdserverpb.RangeRequest request_range = 1;`
`RequestOp.Builder` `setRequestRange(RangeRequest value)` `.etcdserverpb.RangeRequest request_range = 1;`
`RequestOp.Builder` `setRequestTxn(TxnRequest.Builder builderForValue)` `.etcdserverpb.TxnRequest request_txn = 4;`
`RequestOp.Builder` `setRequestTxn(TxnRequest value)` `.etcdserverpb.TxnRequest request_txn = 4;`
`RequestOp.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>`

#### clear

    public RequestOp.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>`

#### getDefaultInstanceForType

    public RequestOp getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public RequestOp build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public RequestOp buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public RequestOp.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>`

#### setField

    public RequestOp.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                      Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>`

#### clearField

    public RequestOp.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>`

#### clearOneof

    public RequestOp.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>`

#### setRepeatedField

    public RequestOp.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              int index,
                                              Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>`

#### addRepeatedField

    public RequestOp.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>`

#### mergeFrom

    public RequestOp.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<RequestOp.Builder>`

#### mergeFrom

    public RequestOp.Builder mergeFrom(RequestOp other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>`

#### mergeFrom

    public RequestOp.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<RequestOp.Builder>`
Throws:
  `IOException`

#### getRequestCase

    public RequestOp.RequestCase getRequestCase()

Specified by:
  `getRequestCase` in interface `RequestOpOrBuilder`

#### clearRequest

    public RequestOp.Builder clearRequest()

#### hasRequestRange

    public boolean hasRequestRange()

`.etcdserverpb.RangeRequest request_range = 1;`

Specified by:
  `hasRequestRange` in interface `RequestOpOrBuilder`
Returns:
  Whether the requestRange field is set.

#### getRequestRange

    public RangeRequest getRequestRange()

`.etcdserverpb.RangeRequest request_range = 1;`

Specified by:
  `getRequestRange` in interface `RequestOpOrBuilder`
Returns:
  The requestRange.

#### setRequestRange

    public RequestOp.Builder setRequestRange(RangeRequest value)

`.etcdserverpb.RangeRequest request_range = 1;`

#### setRequestRange

    public RequestOp.Builder setRequestRange(RangeRequest.Builder builderForValue)

`.etcdserverpb.RangeRequest request_range = 1;`

#### mergeRequestRange

    public RequestOp.Builder mergeRequestRange(RangeRequest value)

`.etcdserverpb.RangeRequest request_range = 1;`

#### clearRequestRange

    public RequestOp.Builder clearRequestRange()

`.etcdserverpb.RangeRequest request_range = 1;`

#### getRequestRangeBuilder

    public RangeRequest.Builder getRequestRangeBuilder()

`.etcdserverpb.RangeRequest request_range = 1;`

#### getRequestRangeOrBuilder

    public RangeRequestOrBuilder getRequestRangeOrBuilder()

`.etcdserverpb.RangeRequest request_range = 1;`

Specified by:
  `getRequestRangeOrBuilder` in interface `RequestOpOrBuilder`

#### hasRequestPut

    public boolean hasRequestPut()

`.etcdserverpb.PutRequest request_put = 2;`

Specified by:
  `hasRequestPut` in interface `RequestOpOrBuilder`
Returns:
  Whether the requestPut field is set.

#### getRequestPut

    public PutRequest getRequestPut()

`.etcdserverpb.PutRequest request_put = 2;`

Specified by:
  `getRequestPut` in interface `RequestOpOrBuilder`
Returns:
  The requestPut.

#### setRequestPut

    public RequestOp.Builder setRequestPut(PutRequest value)

`.etcdserverpb.PutRequest request_put = 2;`

#### setRequestPut

    public RequestOp.Builder setRequestPut(PutRequest.Builder builderForValue)

`.etcdserverpb.PutRequest request_put = 2;`

#### mergeRequestPut

    public RequestOp.Builder mergeRequestPut(PutRequest value)

`.etcdserverpb.PutRequest request_put = 2;`

#### clearRequestPut

    public RequestOp.Builder clearRequestPut()

`.etcdserverpb.PutRequest request_put = 2;`

#### getRequestPutBuilder

    public PutRequest.Builder getRequestPutBuilder()

`.etcdserverpb.PutRequest request_put = 2;`

#### getRequestPutOrBuilder

    public PutRequestOrBuilder getRequestPutOrBuilder()

`.etcdserverpb.PutRequest request_put = 2;`

Specified by:
  `getRequestPutOrBuilder` in interface `RequestOpOrBuilder`

#### hasRequestDeleteRange

    public boolean hasRequestDeleteRange()

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

Specified by:
  `hasRequestDeleteRange` in interface `RequestOpOrBuilder`
Returns:
  Whether the requestDeleteRange field is set.

#### getRequestDeleteRange

    public DeleteRangeRequest getRequestDeleteRange()

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

Specified by:
  `getRequestDeleteRange` in interface `RequestOpOrBuilder`
Returns:
  The requestDeleteRange.

#### setRequestDeleteRange

    public RequestOp.Builder setRequestDeleteRange(DeleteRangeRequest value)

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

#### setRequestDeleteRange

    public RequestOp.Builder setRequestDeleteRange(DeleteRangeRequest.Builder builderForValue)

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

#### mergeRequestDeleteRange

    public RequestOp.Builder mergeRequestDeleteRange(DeleteRangeRequest value)

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

#### clearRequestDeleteRange

    public RequestOp.Builder clearRequestDeleteRange()

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

#### getRequestDeleteRangeBuilder

    public DeleteRangeRequest.Builder getRequestDeleteRangeBuilder()

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

#### getRequestDeleteRangeOrBuilder

    public DeleteRangeRequestOrBuilder getRequestDeleteRangeOrBuilder()

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

Specified by:
  `getRequestDeleteRangeOrBuilder` in interface `RequestOpOrBuilder`

#### hasRequestTxn

    public boolean hasRequestTxn()

`.etcdserverpb.TxnRequest request_txn = 4;`

Specified by:
  `hasRequestTxn` in interface `RequestOpOrBuilder`
Returns:
  Whether the requestTxn field is set.

#### getRequestTxn

    public TxnRequest getRequestTxn()

`.etcdserverpb.TxnRequest request_txn = 4;`

Specified by:
  `getRequestTxn` in interface `RequestOpOrBuilder`
Returns:
  The requestTxn.

#### setRequestTxn

    public RequestOp.Builder setRequestTxn(TxnRequest value)

`.etcdserverpb.TxnRequest request_txn = 4;`

#### setRequestTxn

    public RequestOp.Builder setRequestTxn(TxnRequest.Builder builderForValue)

`.etcdserverpb.TxnRequest request_txn = 4;`

#### mergeRequestTxn

    public RequestOp.Builder mergeRequestTxn(TxnRequest value)

`.etcdserverpb.TxnRequest request_txn = 4;`

#### clearRequestTxn

    public RequestOp.Builder clearRequestTxn()

`.etcdserverpb.TxnRequest request_txn = 4;`

#### getRequestTxnBuilder

    public TxnRequest.Builder getRequestTxnBuilder()

`.etcdserverpb.TxnRequest request_txn = 4;`

#### getRequestTxnOrBuilder

    public TxnRequestOrBuilder getRequestTxnOrBuilder()

`.etcdserverpb.TxnRequest request_txn = 4;`

Specified by:
  `getRequestTxnOrBuilder` in interface `RequestOpOrBuilder`

#### setUnknownFields

    public final RequestOp.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>`

#### mergeUnknownFields

    public final RequestOp.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<RequestOp.Builder>`